Loading...
Searching...
No Matches
mbedtls_ccm_context Struct Reference

The CCM context-type definition. The CCM context is passed to the APIs called. More...

`#include <ccm.h>`

Collaboration diagram for mbedtls_ccm_context:
[legend]

## Data Fields

unsigned char | private_y [16]
unsigned char | private_ctr [16]
size_t | private_plaintext_len
size_t | private_add_len
size_t | private_tag_len
size_t | private_processed
unsigned int | private_q
unsigned int | private_mode
mbedtls_cipher_context_t | private_cipher_ctx
int | private_state
int | dummy

## Detailed Description

The CCM context-type definition. The CCM context is passed to the APIs called.

Definition at line 69 of file ccm.h.

## Field Documentation

## dummy

int mbedtls_ccm_context::dummy

Definition at line 11 of file ccm_alt.h.

## private_add_len

size_t mbedtls_ccm_context::private_add_len

Total authentication data length

Definition at line 73 of file ccm.h.

## private_cipher_ctx

mbedtls_cipher_context_t mbedtls_ccm_context::private_cipher_ctx

The cipher context used.

Definition at line 90 of file ccm.h.

## private_ctr

unsigned char mbedtls_ccm_context::private_ctr[16]

The counter buffer

Definition at line 71 of file ccm.h.

## private_mode

unsigned int mbedtls_ccm_context::private_mode

The operation to perform: MBEDTLS_CCM_ENCRYPT or MBEDTLS_CCM_DECRYPT or MBEDTLS_CCM_STAR_ENCRYPT or MBEDTLS_CCM_STAR_DECRYPT.

Definition at line 82 of file ccm.h.

## private_plaintext_len

size_t mbedtls_ccm_context::private_plaintext_len

Total plaintext length

Definition at line 72 of file ccm.h.

## private_processed

size_t mbedtls_ccm_context::private_processed

Track how many bytes of input data were processed (chunked input). Used independently for both auth data and plaintext/ciphertext. This variable is set to zero after auth data input is finished.

Definition at line 75 of file ccm.h.

## private_q

unsigned int mbedtls_ccm_context::private_q

The Q working value

Definition at line 81 of file ccm.h.

## private_state

int mbedtls_ccm_context::private_state

Working value holding context's state. Used for chunked data input

Definition at line 92 of file ccm.h.

## private_tag_len

size_t mbedtls_ccm_context::private_tag_len

Total tag length

Definition at line 74 of file ccm.h.

## private_y

unsigned char mbedtls_ccm_context::private_y[16]

The Y working buffer

Definition at line 70 of file ccm.h.

The documentation for this struct was generated from the following files:

- ccm.h
- ccm_alt.h